classification
Title: Leaked file in test_anydbm_creation_n_file_exists_with_invalid_contents in test_dbm
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-06-03 12:50 by serhiy.storchaka, last changed 2018-06-05 16:51 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7376 merged serhiy.storchaka, 2018-06-04 03:43
PR 7429 merged miss-islington, 2018-06-05 13:04
PR 7430 merged miss-islington, 2018-06-05 13:05
Messages (5)
msg318544 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 12:50
$ ./python -m test -v -m test_anydbm_creation_n_file_exists_with_invalid_contents test_dbm
...
test_anydbm_creation_n_file_exists_with_invalid_contents (test.test_dbm.TestCase-dbm.gnu) ... ok
test_anydbm_creation_n_file_exists_with_invalid_contents (test.test_dbm.TestCase-dbm.ndbm) ... ok
test_anydbm_creation_n_file_exists_with_invalid_contents (test.test_dbm.TestCase-dbm.dumb) ... ok

----------------------------------------------------------------------
Ran 3 tests in 0.011s

OK
Warning -- files was modified by test_dbm
  Before: []
  After:  ['@test_17166_tmp.dir'] 
test_dbm failed (env changed)
msg318614 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-04 03:40
The file was leaked because it was created in the database's close() method which was called after deleting temporary files in tearDown().
msg318751 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-05 13:03
New changeset 6592d7fe11477f8f974d2d4a85c3382a1ad05217 by Serhiy Storchaka in branch 'master':
bpo-33752: Fix a file leak in test_dbm. (GH-7376)
https://github.com/python/cpython/commit/6592d7fe11477f8f974d2d4a85c3382a1ad05217
msg318756 - (view) Author: miss-islington (miss-islington) Date: 2018-06-05 13:47
New changeset 194a5c07228342106c98dcf85c8a5f4cd2c8b04e by Miss Islington (bot) in branch '3.6':
bpo-33752: Fix a file leak in test_dbm. (GH-7376)
https://github.com/python/cpython/commit/194a5c07228342106c98dcf85c8a5f4cd2c8b04e
msg318757 - (view) Author: miss-islington (miss-islington) Date: 2018-06-05 13:50
New changeset ffd72acc508bbc994812cefbfb9532d3be2ab737 by Miss Islington (bot) in branch '3.7':
bpo-33752: Fix a file leak in test_dbm. (GH-7376)
https://github.com/python/cpython/commit/ffd72acc508bbc994812cefbfb9532d3be2ab737
History
Date User Action Args
2018-06-05 16:51:06serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-05 13:50:59miss-islingtonsetmessages: + msg318757
2018-06-05 13:47:45miss-islingtonsetnosy: + miss-islington
messages: + msg318756
2018-06-05 13:05:51miss-islingtonsetpull_requests: + pull_request7056
2018-06-05 13:04:51miss-islingtonsetpull_requests: + pull_request7055
2018-06-05 13:03:02serhiy.storchakasetmessages: + msg318751
2018-06-04 03:43:24serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request7003
2018-06-04 03:40:15serhiy.storchakasetmessages: + msg318614
2018-06-03 12:50:26serhiy.storchakacreate